Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158739 - Thermal (fan) control on PowerMacs too verbose
Summary: Thermal (fan) control on PowerMacs too verbose
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 12:18 UTC by Lyonel Vincent
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-30 01:50:50 UTC


Attachments (Terms of Use)
patch to make fan adjustments appear only in KERN_DEBUG (deleted)
2005-07-16 07:36 UTC, Lyonel Vincent
no flags Details | Diff

Description Lyonel Vincent 2005-05-25 12:18:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Galeon/1.3.21

Description of problem:
On (some) Apple PowerMacs (Dual G4s at least), fans are software-controlled.
A kernel module (task [g4fand]) is responsible for tuning the fans.
Every single adjustment to the rotation speed is reported, completely clobbering the output of dmesg or the syslog:
May 25 14:03:00 windtunnel kernel: CPU-temp: 60.1 C, Case: 41.3 C,  Fan: 9 (tuned +1)
May 25 14:03:16 windtunnel kernel: CPU-temp: 60.0 C, Case: 41.3 C,  Fan: 9 (tuned +0)
May 25 14:04:36 windtunnel kernel: CPU-temp: 59.8 C, Case: 41.3 C,  Fan: 8 (tuned -1)
May 25 14:04:44 windtunnel kernel: CPU-temp: 59.9 C, Case: 41.3 C,  Fan: 8 (tuned +0)
May 25 14:05:56 windtunnel kernel: CPU-temp: 60.1 C, Case: 41.3 C,  Fan: 9 (tuned +1)
May 25 14:06:04 windtunnel kernel: CPU-temp: 60.0 C, Case: 41.3 C,  Fan: 9 (tuned +0)
May 25 14:07:32 windtunnel kernel: CPU-temp: 59.8 C, Case: 41.2 C,  Fan: 8 (tuned -1)
May 25 14:07:40 windtunnel kernel: CPU-temp: 59.9 C, Case: 41.3 C,  Fan: 8 (tuned +0)
May 25 14:08:52 windtunnel kernel: CPU-temp: 60.1 C, Case: 41.5 C,  Fan: 9 (tuned +1)
May 25 14:09:00 windtunnel kernel: CPU-temp: 60.0 C, Case: 41.3 C,  Fan: 9 (tuned +0)

Version-Release number of selected component (if applicable):
2.6.11-1.1340_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. boot a 2.6.11 kernel on a dual G4 PowerMac
2. wait until the system finishes starting
3. use dmesg or view syslog (/var/log/messages)
  

Actual Results:  syslog is full of stupid messages, making it unreadable:
May 25 14:03:00 windtunnel kernel: CPU-temp: 60.1 C, Case: 41.3 C,  Fan: 9 (tuned +1)
May 25 14:03:16 windtunnel kernel: CPU-temp: 60.0 C, Case: 41.3 C,  Fan: 9 (tuned +0)
May 25 14:04:36 windtunnel kernel: CPU-temp: 59.8 C, Case: 41.3 C,  Fan: 8 (tuned -1)
May 25 14:04:44 windtunnel kernel: CPU-temp: 59.9 C, Case: 41.3 C,  Fan: 8 (tuned +0)
May 25 14:05:56 windtunnel kernel: CPU-temp: 60.1 C, Case: 41.3 C,  Fan: 9 (tuned +1)
May 25 14:06:04 windtunnel kernel: CPU-temp: 60.0 C, Case: 41.3 C,  Fan: 9 (tuned +0)
May 25 14:07:32 windtunnel kernel: CPU-temp: 59.8 C, Case: 41.2 C,  Fan: 8 (tuned -1)
May 25 14:07:40 windtunnel kernel: CPU-temp: 59.9 C, Case: 41.3 C,  Fan: 8 (tuned +0)
May 25 14:08:52 windtunnel kernel: CPU-temp: 60.1 C, Case: 41.5 C,  Fan: 9 (tuned +1)
May 25 14:09:00 windtunnel kernel: CPU-temp: 60.0 C, Case: 41.3 C,  Fan: 9 (tuned +0)

Expected Results:  no debug information should be output to dmesg

Additional info:

software-controlled fans are only available on certain PowerMacs

Comment 1 Dave Jones 2005-06-27 23:24:33 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 2 Lyonel Vincent 2005-06-28 12:09:40 UTC
(In reply to comment #1)
> Mass update of -test bugs to update version to fc4.
> (Please retest on final release, and report results if you have not already done
> so).
> 
> Thanks.

this behaviour is unchanged in 2.6.11-1.1369_FC4smp

cheers.

Comment 3 Dave Jones 2005-07-15 21:41:11 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 4 Lyonel Vincent 2005-07-16 07:19:30 UTC
The problem still exists:

$ uname -a
Linux windtunnel 2.6.12-1.1398_FC4smp #1 SMP Fri Jul 15 01:23:48 EDT 2005 ppc
ppc ppc GNU/Linux

$ sudo tail -f /var/log/messages
Jul 16 09:16:07 windtunnel kernel: CPU-temp: 58.3 C, Case: 43.0 C,  Fan: 4
(tuned +1)
Jul 16 09:16:23 windtunnel kernel: CPU-temp: 58.8 C, Case: 43.2 C,  Fan: 5
(tuned +1)
Jul 16 09:16:39 windtunnel kernel: CPU-temp: 59.5 C, Case: 43.5 C,  Fan: 6
(tuned +1)
Jul 16 09:16:47 windtunnel kernel: CPU-temp: 59.6 C, Case: 43.5 C,  Fan: 7
(tuned +1)
Jul 16 09:17:03 windtunnel kernel: CPU-temp: 60.0 C, Case: 43.7 C,  Fan: 8
(tuned +1)
Jul 16 09:17:11 windtunnel kernel: CPU-temp: 60.1 C, Case: 43.7 C,  Fan: 9
(tuned +1)

Comment 5 Lyonel Vincent 2005-07-16 07:36:16 UTC
Created attachment 116834 [details]
patch to make fan adjustments appear only in KERN_DEBUG


Note You need to log in before you can comment on or make changes to this bug.